Bug 475017 - Review Request: l2fprod-common - In JavaSE missing Swing components, inspired from modern user interfaces
Summary: Review Request: l2fprod-common - In JavaSE missing Swing components, inspired...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 474981 474982
Blocks: tvbrowser
TreeView+ depends on / blocked
 
Reported: 2008-12-06 18:48 UTC by Sandro Mathys
Modified: 2009-05-09 04:18 UTC (History)
5 users (show)

Fixed In Version: 7.3-5.20090428cvs.fc10
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-05-07 10:21:23 UTC
mtasaka: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Sandro Mathys 2008-12-06 18:48:59 UTC
Spec URL: http://red.fedorapeople.org/SRPMS/l2fprod-common.spec
SRPM URL: http://red.fedorapeople.org/SRPMS/l2fprod-common-7.3-0.1.fc10.src.rpm
Description: Swing has lot of components built-in but still some are missing. This
provides the developer community with these missing components,
components inspired from modern user interfaces.

This  is a dependency needed for tvbrowser, for which a review request exists
already.

rpmlint on spec, srpm and noarch-rpms finishes checking without any warnings or
errors.

I'd still need a sponsor.

Comment 1 Sandro Mathys 2008-12-12 01:01:50 UTC
Successfully created a mock-(re)build of this version of this pkg.

Comment 2 Mamoru TASAKA 2008-12-15 15:01:49 UTC
(Removing NEEDSPONSOR)

Comment 3 Sandro Mathys 2008-12-16 04:30:36 UTC
Spec URL: http://red.fedorapeople.org/SRPMS/l2fprod-common.spec
SRPM URL: http://red.fedorapeople.org/SRPMS/l2fprod-common-7.3-1.fc10.src.rpm

New version including much of the experience I got when my jcalendar pkg was
reviewed.

Comment 4 Sandro Mathys 2008-12-18 22:01:00 UTC
Spec URL: http://red.fedorapeople.org/SRPMS/l2fprod-common.spec
SRPM URL: http://red.fedorapeople.org/SRPMS/l2fprod-common-7.3-2.fc11.src.rpm

Rebuilt on rawhide. Now using build-classpath.

Comment 5 Mamoru TASAKA 2009-01-16 18:47:25 UTC
Blocking FE-Legal. 

This package itself is okay (ASL 1.1 and ASL 2.0), however ASL 1.1
conflicts with GPLv2+ (i.e. tvbrowser, bug 472144)

Comment 6 Sandro Mathys 2009-01-29 23:23:29 UTC
AFAICS this shouldn't block l2fprod-common but only tvbrowser or am I missing something?

Anyway, even if this blocks l2fprod-common - we know upstream is willing to change the license. Can we maybe continue with the review in the meantime (i.e. get it ready to approve it as soon as the legal issue is fixed)?

Comment 7 Tom "spot" Callaway 2009-02-12 18:49:45 UTC
There is no legal problem here, I see the notes in 472144 about the relicensing. Please be sure you update the spec appropriately as upstream cleans up (and simplifies) their licensing. Lifting FE-Legal here, leaving it on tvbrowser for now.

Comment 8 Mamoru TASAKA 2009-02-13 15:14:30 UTC
I will recheck this package once the srpm is renewed.

Comment 9 Mamoru TASAKA 2009-03-01 16:27:15 UTC
Any updates here?

Comment 10 Mamoru TASAKA 2009-03-09 16:57:44 UTC
ping again?

Comment 11 Sandro Mathys 2009-03-13 07:54:56 UTC
Sorry, I don't see what I have to renew the SRPM for - do I need to change anything currently? I don't see any comment indicating such a thing...

The license has not yet changed in the distributed package from upstream, so I won't change this here (nothing new from upstream) - or shall I go for the CVS? Still not sure if all licenses were corrected there, though.

Comment 12 Mamoru TASAKA 2009-03-13 14:50:10 UTC
(In reply to comment #11)
> The license has not yet changed in the distributed package from upstream, so I
> won't change this here (nothing new from upstream) - or shall I go for the CVS?
> Still not sure if all licenses were corrected there, though.  

I want to see if the license is changed in the latest CVS.
If so you can use CVS source for this package.

Comment 13 Sandro Mathys 2009-04-27 15:43:42 UTC
ping? I understand it that you wanted to look at the latest CVS - am I mistaken here?

Comment 14 Mamoru TASAKA 2009-04-27 16:23:38 UTC
What I said is that I want you to check the latest
CVS if license issue is resolved. However if you provide
the URL of the upstream CVS I can check about license
issue.

Comment 15 Sandro Mathys 2009-04-27 16:34:54 UTC
My apologies, I misunderstood you, in that case.

For me, it looks like ASL 2.0 in CVS now - but as you know, I'm not good in checking licenses. I'd appreciate if you could verify that the code in their CVS is allright now.

The information about upstream's CVS can be found on the following page:
http://www.l2fprod.com/common/contribute.php

Comment 16 Mamoru TASAKA 2009-04-27 17:07:39 UTC
(In reply to comment #15)
> The information about upstream's CVS can be found on the following page:
> http://www.l2fprod.com/common/contribute.php  

I checked this CVS and currently all files are under
ASL 2.0. If you create new srpm based on the latest CVS
I will remove FE-Legal blocker.

By the way, how about skinlf?

Comment 17 Sandro Mathys 2009-04-27 23:17:27 UTC
Spec URL: http://red.fedorapeople.org/SRPMS/l2fprod-common.spec
SRPM URL: http://red.fedorapeople.org/SRPMS/l2fprod-common-7.3-3.20090428cvs.fc11.src.rpm

New version based on the latest CVS. The spec file was only changed to:
- reflect the 'post release' packaging based on a cvs checkout
- use some new paths which were changed upstream - nothing major

Looking at skinlf's latest CVS (same server, but project is named skinlf instead of l2fprod-common), upstream did not adapt the licenses there AFAICS. I'll check what upstream has to say about that.

Comment 18 Mamoru TASAKA 2009-04-28 19:07:04 UTC
Well, for 7.3-3:

* License
  - Sorry, I missed it however one file is still under
    ASL 2.0
-------------------------------------------------------------
src/tests/com/l2fprod/common/demo/MainUnitTest.java
-------------------------------------------------------------
    Can this file be removed at %prep? (Your spec file
    seems to be using files only under src/java, so
    I guess it is possible)
    ! Note that only removing this file at %prep is enough.
      No need to remove this file from tarball itself.

* CVS directory
  - It is recommended to clean up CVS directory at %prep like:
-------------------------------------------------------------
find . -type d -name CVS | sort -r | xargs rm -rf
-------------------------------------------------------------

* Comments
  - What are the comments like
-------------------------------------------------------------
###############################################################rm -rf docs lib src/com/l2fprod/common/springrcp
-------------------------------------------------------------
    for? (I guess you just copy-and-pasted mistakenly...)

* Multilue jar files (including symlink)
  - The following guideline seems to be saying that this package
    should create a directory and move all jar files (including symlinks)
    into the directory:
-------------------------------------------------------------
If the number of provided JAR files exceeds two, you must 
place them into a sub-directory. 
-------------------------------------------------------------

And some suggestion about spec file clean up
! Using xargs
  - From the line
-------------------------------------------------------------
javac -d target -cp `build-classpath nachocalendar jcalendar` `find src/java -name '*.java'`
-------------------------------------------------------------
    build.log shows lots of output messages brought from
    `find src/java -name '*.java'` like:
-------------------------------------------------------------
    46  + javac -d target -cp /usr/share/java/nachocalendar.jar:/usr/share/java/jcalendar.jar 
src/java/totd/com/l2fprod/common/swing/tips/DefaultTip.java src/java/totd/com/l2fprod/common/swing/tips/DefaultTipModel.java 
src/java/totd/com/l2fprod/common/swing/tips/TipLoader.java src/java/totd/com/l2fprod/common/swing/TipModel.java 
.....
-------------------------------------------------------------

    In this case I usually use xargs like:
-------------------------------------------------------------
find src/java -name '*.java' -print0 | xargs -0 javac -d target -cp `build-classpath nachocalendar jcalendar`
-------------------------------------------------------------
    With this, build.log shows:
-------------------------------------------------------------
    48  + find src/java -name '*.java' -print0
    49  ++ build-classpath nachocalendar jcalendar
    50  + xargs -0 javac -d target -cp /usr/share/java/nachocalendar.jar:/usr/share/java/jcalendar.jar
    51  src/java/sheet/com/l2fprod/common/beans/BeanUtils.java:41: warning: non-varargs call of varargs method with inexact argument type for last parameter;
    52  cast to java.lang.Class for a varargs call
-------------------------------------------------------------
    which is much easier to look at.

! About creating many symlinks manually
  - I think this is error-prone. I guess the following is better:
--------------------------------------------------------------
install -m644 %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-all-%{version}.jar
ln -s %{name}-all-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-all.jar

for dir in src/java/*/
do
	subname=$(basename $dir)
	for exception in \
		demo springrcp
	do
		if [ $subname = $exception ] ; then continue 2 ; fi
	done
	ln -sf %{name}-all-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-${subname}.jar
	ln -sf %{name}-all-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-${subname}-%{version}.jar
done
---------------------------------------------------------------
     Also I would just use "%{_javadir}/%{name}-*.jar" in %files
     (however also see the previous comment about 
    "Multilue jar files (including symlink)".

Comment 19 Sandro Mathys 2009-04-29 06:56:51 UTC
Spec URL: http://red.fedorapeople.org/SRPMS/l2fprod-common.spec
SRPM URL: http://red.fedorapeople.org/SRPMS/l2fprod-common-7.3-4.20090428cvs.fc11.src.rpm

* License
- Removing file in %prep
- Notified upstream

* CVS directory
- Removing in %prep

* Comments
- Removed (no copy-paste but sort of backup during the last edit...simply forgot to remove them before uploading)

* Multilue jar files (including symlink)
- Done.

! Using xargs
- Done.

! About creating many symlinks manually
- Great input, thanks. Done.

! use "%{_javadir}/%{name}-*.jar" in %files
- Done.

FYI: Right now, there's still some stuff from 7.3-3 in 7.3-4 but commented, in case there's a problem with the new changes.

Comment 20 Mamoru TASAKA 2009-04-29 16:57:41 UTC
Well,

- For the line "javadoc -classpath ..." I recommend to use
  find - xargs also here, like:
------------------------------------------------------------------
find src/java -name '*.java' -print 0 \
  xargs -0 javadoc -classpath \
  `build-classpath nachocalendar jcalendar` -d doc
------------------------------------------------------------------

- I recommend to remove unneeded comments because it makes
  spec file less readable.

- Please make main package own %_javadir/%name

Please fix the issues above before importing.
-----------------------------------------------------------
   This package (l2fprod-common) is APPROVED by mtasaka
-----------------------------------------------------------

Comment 21 Sandro Mathys 2009-04-30 07:04:11 UTC
Sure will do, thanks.

New Package CVS Request
=======================
Package Name: l2fprod-common
Short Description: In JavaSE missing Swing components, inspired from modern user interfaces
Owners: red
Branches: F-9 F-10
InitialCC:

Comment 22 Kevin Fenzi 2009-05-06 20:58:36 UTC
cvs done (with F-11 branch as well).

Comment 23 Fedora Update System 2009-05-07 08:02:56 UTC
l2fprod-common-7.3-5.20090428cvs.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/l2fprod-common-7.3-5.20090428cvs.fc9

Comment 24 Fedora Update System 2009-05-07 08:03:42 UTC
l2fprod-common-7.3-5.20090428cvs.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/l2fprod-common-7.3-5.20090428cvs.fc10

Comment 25 Fedora Update System 2009-05-07 08:04:23 UTC
l2fprod-common-7.3-5.20090428cvs.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/l2fprod-common-7.3-5.20090428cvs.fc11

Comment 26 Mamoru TASAKA 2009-05-07 10:21:23 UTC
Thanks.
If any updates came on skinlf please let us know on
tvbrowser review request.

Comment 27 Fedora Update System 2009-05-09 03:59:15 UTC
l2fprod-common-7.3-5.20090428cvs.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 28 Fedora Update System 2009-05-09 04:15:03 UTC
l2fprod-common-7.3-5.20090428cvs.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 29 Fedora Update System 2009-05-09 04:18:32 UTC
l2fprod-common-7.3-5.20090428cvs.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.